Get the last events

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/events/last

Get the last events of the event log, the newest first. Use the query parameters to filter the events. To get the next page, give the identifier of the last event in cursor_event_id. An administrator gets the events of all projects. A manager gets the events of their projects only. You must be a manager. A user who has the manager role on a project only must give project_id.

Query parameters

  • after string(date)

    Get the events after this date. Date in the ISO 8601 format, for example 2026-10-28T10:00:00

  • before string(date)

    Get the events before this date. Date in the ISO 8601 format, for example 2026-10-28T10:00:00

  • only_files boolean

    Get only the events about files

    Default value is false.

  • cursor_event_id string(uuid)

    Get the events that are older than this event

  • limit integer

    Maximum number of events. The maximum value is 1000.

    Default value is 100.

  • project_id string(uuid)

    Get only the events of this project

  • name string

    Get only the events with this name, for example task:update

  • name_prefixes array[string]

    Filter events by object, the part of the event name before the colon. Repeat the parameter for each value.

  • name_suffixes array[string]

    Filter events by action, the part of the event name after the colon. Repeat the parameter for each value.

  • person_ids array[string(uuid)]

    Filter events by author. Repeat the parameter for each value.

Responses

  • 200 application/json

    The list of events

    Hide response attributes Show response attributes object
    • id string(uuid)

      Event unique identifier

    • name string

      Event name

    • data object

      Event data content

    • project_id string(uuid)

      Project identifier

    • created_at string(date-time)

      Event timestamp

    • user_id string(uuid)

      User identifier who triggered the event

  • 400

    A date or an identifier is not valid

  • 403

    You are not a manager, you are a manager of this project only and did not give project_id, or you do not have access to this project

GET /data/events/last
curl -X GET "http://api.example.com/data/events/last?after=2022-07-12&before=2022-07-12&only_files=false&cursor_event_id=a24a6ea4-ce75-4665-a070-57453082c25&limit=100&project_id=a24a6ea4-ce75-4665-a070-57453082c25&name=user_login" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/events/last"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "after": "2022-07-12",
    "before": "2022-07-12",
    "only_files": false,
    "cursor_event_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "limit": 100,
    "project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "name": "user_login"
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "name": "user_login",
    "data": {
      "user_id": "b35b7fb5-df86-5776-b181-68564193d360"
    },
    "project_id": "c46c80c6-e097-6887-c292-79675204e470",
    "created_at": "2023-01-01T12:00:00Z",
    "user_id": "d57d91d7-f108-7998-d403-80786315f580"
  }
]